Subject: bug#58459: Getting a fresh emacs session with no customisation

From: uzibalqa <[email-masked]>
Date: Wed, 12 Oct 2022 23:16:09 +0000

------- Original Message -------
On Wednesday, October 12th, 2022 at 10:47 PM, Phil Sainty <[email-masked]> wrote:

> On 2022-10-13 10:11, uzibalqa wrote:
> 
> > I am continually amazed how unreactive emacs maintainers can be to
> > users. Either shaming them, make them look stupid
> 
> 
> Wow? This discussion has been between you and Stefan Kangas, and at
> no point has Stefan been anything other than polite and informative!

Early on in the discussion, the response was immediately "notabug
close thanks".  But perhaps you are right and I am being excessive.
Nevertheless, I am yet to be convinced how this resource thing is
straightforward.
 
> > but then months or years later, it gets recognised they were right
> > all along.
> 
> 
> This is how X resources have always worked (for decades) -- I can't
> imagine them changing, and Emacs provides ways for you to inhibit
> them (or indeed add to them).

Looks that "internal-set-lisp-face-attribute-from-resource" is doing the work.
So if emacs does not not even find an emacs init file, why does it start launching
them.
  
> You said you saw the problem with this:
> 
> emacs -q --no-site-file --no-splash
> 
> but not with "emacs -Q".
> 
> The documentation says:
> 
> ‘-Q’
> ‘--quick’
> Start Emacs with minimum customizations. This is similar to using
> ‘-q’, ‘--no-site-file’, ‘--no-site-lisp’, ‘--no-x-resources’, and
> ‘--no-splash’ together.
> 
> So the difference that using -Q made was equivalent to adding these:
> 
> --no-site-lisp
> --no-x-resources
> 
> And as discussed, it's specifically this:
> 
> ‘--no-x-resources’
> Do not load X resources. You can also achieve this effect by
> setting the variable ‘inhibit-x-resources’ to ‘t’ in your
> initialization file (*note Resources::).
> 
> So you can use either of those solutions if you don't wish to change
> the X resources configured on your system.
> 
> -Phil

Something must be going on, perhaps in the distro or desktop environment that could be 
using something outside the traditional X11 approach to loading Xresources.  Or something
else.

I am using one of the Official Gnu Distributions (Trisquel 9).  These systems should work
well together with Gnu Programs.  At least, it is always said things are planned to be this
way.